libdvbv5 1.32.0 Library to work with Digital TV devices on Linux

desc_network_name.h File Reference
Parsers for several MPEG-TS descriptors

Provides the descriptors for the network name descriptor. More...

`#include <libdvbv5/descriptors.h>`

Go to the source code of this file.

## Data Structures
struct | dvb_desc_network_name
| Struct containing the network name descriptor. More...

## Functions
int | dvb_desc_network_name_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the network name descriptor.
void | dvb_desc_network_name_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the network name descriptor.
void | dvb_desc_network_name_free (struct dvb_desc *desc)
| Frees all data allocated by the network name descriptor.

## Detailed Description

Provides the descriptors for the network name descriptor.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab
  Andre Roth

Relevant specs
  The descriptor described herein is defined at:
  - ETSI EN 300 468 V1.11.1 (2010-04)

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file desc_network_name.h.